---

########################################################
# clean-cache.yml
#
# This play will reach out to apt and perform a cache
# cleanup on the instance
#
#   CURRENT_DEPLOY_ENVIRONMENT: This is the environment, example: gstg
#   GITLAB_ROLES: The listing of roles provided by CI
#   STAGE: either `main` or `cny`
#

- name: "Cache clean for main stage in {{ lookup('env','CURRENT_DEPLOY_ENVIRONMENT') }}"
  gather_facts: false
  become: true
  hosts: "{{ lookup('env','GITLAB_ROLES') | default('localhost', true) }}"
  module_defaults:
    ansible.builtin.setup:
      gather_timeout: 60
    ansible.builtin.gather_facts:
      gather_timeout: 60
  tasks:
    - name: "Clean apt cache"
      ansible.builtin.apt:
        clean: true
      environment:
        PATH: "{% if lookup('env', 'APT_WRAPPER_ENABLED') == 'true' %}/usr/local/apt-wrapper:{% endif %}{{ lookup('env', 'PATH') }}"
      failed_when: false
